*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    background-image: url(../images/Fondo\ 3.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 100vh;

    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}
.contenedor{
    width: 320px;
    height: 420px;
    background-color: black;
    color: white;
    position: absolute;
    top: 50%;
    left: 50%;
    transform:translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    padding: 70px 30px;
}
.contenedor img{
    width: 100px;
    height: 100px;
    position: absolute;
    top: -50px;
    left: calc(50% - 50px);
}
.contenedor h1{
    text-align: center;
    padding-bottom: 20px;
    font-size: 1.5em;
}
.contenedor label{
    font-weight: bold;
    display: block;
}
.contenedor input{
    width: 100%;
    margin-bottom: 20px;
}
.contenedor input[type="text"], .contenedor input[type="password"]{
    border: none;
    border-bottom: 1px solid white;
    background-color: transparent;
    outline: none;
    height: 40px;   
}
.contenedor input[type="button"]{
    border: none;
    outline: none;
    height: 40px;
    font-size: 1.1em;
    background-color:blue;
    border-radius: 15px;

}
.contenedor input[type="button"]:hover{
    background-color: white;
    color: rgb(130, 146, 238);
text-shadow: -1px -1px 1px rgba(21, 9, 184, 0.692), 1px 1px 1px rgba(99, 18, 175, 0.5);
cursor: pointer;
}
.contenedor a{
    text-decoration: none;
    display:block;
    color: white;
    font-size: .8em;
    line-height: 20px;
}
.contenedor #mensaje{
    border: none;
    font-size: .6em;
    font-weight: lighter;
}
.contenedor .blanco{
    color: white;
}
.contenedor .rojo{
    color: red;
}
.contenedor .verde{
    color: green;
}